#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
namespace MVCSampleBrowser.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using MVCSampleBrowser.Models;
    using MVCGrid;
    using MVCGrid.Models;


    public static class SalesRepository
    {
        public static IList<EditableForm> GetAllRecords()
        {
            IList<EditableForm> orders = (IList<EditableForm>)HttpContext.Current.Session["Sales"];

            if (orders == null)
            {
                HttpContext.Current.Session["Sales"] = orders = (from ord in new simpledbEntities3().Sales
                                                                  select new EditableForm
                                                                  {
                                                                      SalesID = ord.SalesID,
                                                                      ReferenceNo = ord.ReferenceNo,
                                                                      SalesDate = ord.SalesDate,
                                                                      SalesPersion = ord.SalesPersion
                                                                  }).ToList();
                
            }
            return orders;
        }

        public static void Add(EditableForm order)
        {
            GetAllRecords().Insert(0, order);
        }

        public static void Add(List<EditableForm> order)
        {
            simpledbEntities3 db = new simpledbEntities3();
            foreach (var temp in order)
            {
                GetAllRecords().Insert(0, temp);
                Sale s = new Sale();
                s.SalesID = temp.SalesID;
                s.ReferenceNo = temp.ReferenceNo;
                s.SalesDate = temp.SalesDate;
                s.SalesPersion = temp.SalesPersion;
                db.Sales.Add(s);
                db.SaveChanges();
            }            
        }
    }
}
